# Intro
A very simple prometheus exporter for getting the follower count of twitter accounts, for the intersection of "people who care about their twitter follower count" and "people who run their own monitoring infrastructure".

# Usage
`twitter-prometheus`. That's it. If you want, you can specify a listenaddr with `-listen`. It defaults to `:9700`.

# Metrics
- `/metrics` - the usual built in metrics for go programs
- `/probe?screen_name=foo` - the follower count for twitter user with screen name foo

# How it do
Uses the `https://cdn.syndication.twimg.com/widgets/followbutton/info.json` *unauthenticated* JSON API. Twitter may well turn this off or rate limit aggressively. 